gnutls_x509_privkey_sign_hash(3)

NAME
gnutls_x509_privkey_sign_hash - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_x509_privkey_sign_hash(gnutls_x509_privkey_t key, const gnutls_datum_t * hash, gnutls_datum_t * signature);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

const gnutls_datum_t * hash
    holds the data to be signed

gnutls_datum_t * signature
    will contain newly allocated signature

DESCRIPTION
This function will sign the given hash using the private key. Do not use this function directly unless you know what it is. Typical signing requires the data to be hashed and stored in special formats (e.g. BER Digest-Info for RSA).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. Deprecated in: 2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/